Subject: Re: [RFC PATCH] rerere: fix overeager gc

From: Johannes Sixt <[email-masked]>
Date: Mon, 05 Jul 2010 08:02:34 +0200

Am 7/2/2010 19:25, schrieb Junio C Hamano:
> If anything, "preimage" that has newer timestamp than "postimage" feels
> wrong,...

Indeed; I agree.

> If we for whatever reason trust placing an extra timestamp on a regular
> file more than using directory timestamp (which I think may be a valid
> concern from portability point of view),

Windows behaves well in this regard. Writing of thisimage must be
converted to lockfile infrastructure, of course.

> I'd rather see "preimage"
> timestamp to keep track of the time when we _first_ encountered the
> particular conflict, and "postimage" used for recording the time when we
> saw the conflict most recently.

That would be fine, too.

-- Hannes